package com.backendsys.mapper.Ai;

import com.backendsys.entity.Ai.AiGenerateVideoDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AiGenerateVideoMapper {
    List<Map<String, Object>> queryAiGenerateVideoList(AiGenerateVideoDTO aiGenerateVideoDTO);
    Map<String, Object> queryAiGenerateVideoDetail(AiGenerateVideoDTO aiGenerateVideoDTO);
    long insertAiGenerateVideo(AiGenerateVideoDTO aiGenerateVideoDTO);
    long updateAiGenerateVideo(AiGenerateVideoDTO aiGenerateVideoDTO);
    long deleteAiGenerateVideo(AiGenerateVideoDTO aiGenerateVideoDTO);
}
